
coord1=-1;
coord2=-1;


---частицы-------------
AddParticleToObject(obj.fon1.id,"voda1");
MoveEmiter("voda1",150,504);
StartEmiter("voda1");
AddParticleToObject(obj.fon11.id,"voda2");
MoveEmiter("voda2",330,521);
StartEmiter("voda2");
	
AddParticleToObject(obj.fon111.id,"voda3");
MoveEmiter("voda3",30,494);
StartEmiter("voda3");
--------


WaitRender();


function gameinput(sender,obj_id,attachedID)
	 if (sender == 1  or sender==5) and not isTimes  and imagetex~=-1 then
			set_visible_object(obj.plashechka.id,false)
			set_visible_object(obj[imagetex].id,false)
			del_object_from_game(5654547)		
			gameinput(26,imageid)
del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)				
	end
		
	if sender == 2 then
		RemoveFromMouse(object);
		MessageProc(sender,obj_id);
	return;end;	
	
	if sender ==41 then	
		RotateHandler(obj_id);	
	if obj_id ==obj.dragonfly.id then	
		StartAnimation( 5555555555,1,5 );
	return;end;	
	return;end;
	
--Объект улетел со сцены----------------------
	if sender == 12 then	
--отколапсился ключ	
		if obj_id ==obj.kluch18.id then		
			StoreObj(obj_id);
		end
		
--спички		
		if obj_id ==obj.spichki.id then
		
		StoreObj(obj_id);
		end
		
	return; end;		
----------------------------------------

	
	--Результат завершения SetAlfa
if sender == 33 then	
	if not flags.finish then
		flags.finish = false;
			ShowMenu(true);
			SwitchToSheet("re");
		return end		
return;end;


if sender==777 then
--старт локации	
			if  flags.comics then				
			flags.comics=false;
			speciale_action(2,obj.good.id,true)
			ShowMenu(true)
			return;end			
		
	if top_plush_id then		
		ShowMenu(true)
		end	
	
	end


	if sender == 100 then
	
----При первой загрузке		
		if flags.first_time_load then
	
				flags.first_time_load=false
			set_visible_object(obj.intro.id,true);
			speciale_action(4,obj.intro.id);
			flags.start_draw = false;
		return; end;		
	
		-------------------		
end;  -- 100 сендер
	
	
	
if sender == 1 then


	if obj_id ==obj.kluch18.id and flags.canfindobject then
	if scaner_on then
					CreatePlashechka(9999,"70","goodgirl")
	return;end;

		flags.items = flags.items +1;
		CollapseObj(obj_id);
		obj.kluch18.is_stored = true;
	return;end;

	if obj_id == obj.spichki.id and flags.canfindobject then
		if scaner_on then
					CreatePlashechka(9999,"70","goodgirl")
	return;end;
		flags.items = flags.items +1;
		CollapseObj(obj_id);
		obj.spichki.is_stored = true;
	return;end;

---Предметы поиска--------------
	if obj_id >obj.shesterenka.id -1 and obj_id < obj.kluch18.id +1 and flags.startlvl and attachedID==-1  then
	
	if scaner_on then
					CreatePlashechka(9999,"70","goodgirl")
	return;end;
		flags.items = flags.items +1;
		CollapseObj(obj_id);
	if flags.items ==15  then 
		flags.items_collected=true;
		AlternateTimer("SwitchSheet1",1000)	
		StartTimer(1010,2); 
	end;
	end;
 
 


end; --сендер 1

----Клик в меню--------------------------		
	if sender == 14 then 	
		-- takeobjecttohand=true
		if not scaner_on then
		addObjectToMouse(obj_id);	
		end		
	 return; end; 
  		
---------Таймер-------------------------	
if sender == 36 then	
			
		if  flags.items_collected==true then
			flags.comics1 = false;			
			CreatePlashechka(50,"1055","goodgirl")	
			canmenu=true				
		return;end;            
	   
return; end;


if sender==15 then
--плохие герои исчезли
	if obj_id ==obj.bad.id and flags.startlvl	 then
	CreatePlashechka(20,"102","goodgirl")
	del_object_from_game(obj.bad.id)
	del_object_from_game(obj.good.id)
	SwitchToSheet("re")
	end

end
--------------------------------------------
if sender==16 then
--появились хорошие герои
if obj_id==obj.good.id then
	speciale_action(2,obj.bad.id,true)	
	StartTimer(22,2,"endofheroes")
	
	function endofheroes()
	speciale_action(2,obj.bad.id,true)	
	speciale_action(2,obj.good.id,true)	
	
	flags.startlvl=true;
	end
	
end



end
if sender==26 then
--конец локации
	if obj_id ==50 then		
		
		del_object_from_game(obj.dragonfly.id)
		RemoveFromMouse(obj.kluch181.id)
		RemoveFromMouse(obj.spichki.id)
		RemoveFromMouse(obj.kluch18.id)
		RemoveFromMouse(obj.spichki1.id)
		SwitchToSheet("gr")				
		DeleteElement("gr",obj.kluch181.id);
		DeleteElement("gr",obj.spichki.id);
		DeleteElement("gr",obj.kluch18.id);
		DeleteElement("gr",obj.spichki1.id);	
		
		StartTimer(24242342,0.01,"endloc18")
		
		function endloc18()
			leafobj={2234}
			GetRenderTarget(2234,"rendertar");	
			minigg=true;
			levelnext=19;
		end
		
		
		
		
		
	end	

end
 ------------правая кнопка мыши----------------- 
if sender == 8 then
	takeobjecttohand=false
	HideGlove();	
	HideScaner();	
	HideRentgen()
	HideNvg();
return end;

end; --гейм инпут
-----------------------------------------------
---------Подсказки-------------------------
function SelectRandom()
local dist=-1;local a=-1;local b=-1;local v=100;local t=-1;local diag=-1;
local width = -1;local height = -1;local radius=1.2;
	if flags.items_collected then
	
	return;end
	
	ok = false
	while not ok do
		help_id = GetRandomObject();
		for i,v in pairs(obj) do
			if v.id == help_id and not v.is_collapsed then
				ok = true
				x,y=GetObjectPosition(v.id);
				x1,y1=GetObjectPosition(obj.dragonfly.id);
				width,height = GetObjectSize(v.id)
				a= (x-x1); b= (y-y1);  dist= math.sqrt (a^2+b^2);				
		        t=dist/400;		
                r = (math.sqrt(width^2+height^2)*0.5);		
				
				if r<50 then	r=75;	radius=4;	end  -- при радиусе меньше 50 определяем время кружения и радиус стрекозы
				
				if r>50 and r <100 then	r=87 radius=2.5;  end  --при радиусе больше 50 и меньше 100
				
				if r>100 then 	r=100 	radius=0.75;  end  -- при радиусе больше 100
				
				StartBigTravel(obj.dragonfly.id, v.id, 0, t, r/90, t, 2 ,radius);
			return end
		end
	end
end;
-------------------------------------